libgl1-mesa-glx_11.2.0-1ubuntu2_amd64.deb


Advertisement

Description

libgl1-mesa-glx - free implementation of the OpenGL API -- GLX runtime

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libgl1-mesa-glx_11.2.0-1ubuntu2_amd64.deb
Package name libgl1-mesa-glx
Package version 11.2.0
Package release 1ubuntu2
Package architecture amd64
Package type deb
Category libs
Homepage http://mesa3d.org/
License -
Maintainer Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
Download size 124.04 KB
Installed size 555.00 KB
Mesa is a 3-D graphics library with an API which is very similar to
that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
syntax or state machine, it is being used with authorization from
Silicon Graphics, Inc.  However, the authors make no claim that Mesa
is in any way a compatible replacement for OpenGL or associated with
Silicon Graphics, Inc.
This version of Mesa provides GLX and DRI capabilities: it is capable of
both direct and indirect rendering.  For direct rendering, it can use DRI
modules from the libgl1-mesa-dri package to accelerate drawing.
This package does not include the modules themselves: these can be found
in the libgl1-mesa-dri package.

Alternatives

Package Version Architecture Repository
libgl1-mesa-glx_18.0.5-0ubuntu0~16.04.1_i386.deb 18.0.5 i386 Ubuntu Updates Main
libgl1-mesa-glx_18.0.5-0ubuntu0~16.04.1_amd64.deb 18.0.5 amd64 Ubuntu Updates Main
libgl1-mesa-glx_11.2.0-1ubuntu2_i386.deb 11.2.0 i386 Ubuntu Main
libgl1-mesa-glx - - -

Requires

Name Value
libc6 >= 2.14
libdrm2 >= 2.3.1
libexpat1 >= 2.0.1
libgl1-mesa-dri >= 7.2
libglapi-mesa = 11.2.0-1ubuntu2
libudev1 -
libx11-6 >= 2:1.4.99.1
libx11-xcb1 -
libxcb-dri2-0 >= 1.8
libxcb-dri3-0 -
libxcb-glx0 >= 1.8
libxcb-present0 -
libxcb-sync1 -
libxcb1 >= 1.9.2
libxdamage1 >= 1:1.1
libxext6 -
libxfixes3 -
libxshmfence1 -
libxxf86vm1 -

Provides

Name Value
libgl1 -

Conflicts

Name Value
libgl1 -

Replaces

Name Value
libgl1 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libgl1-mesa-glx_11.2.0-1ubuntu2_amd64.deb
Source Package mesa

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgl1-mesa-glx deb package:
    # sudo apt-get install libgl1-mesa-glx

Files

Path
/usr/lib/x86_64-linux-gnu/mesa/ld.so.conf
/usr/lib/x86_64-linux-gnu/mesa/libGL.so.1
/usr/lib/x86_64-linux-gnu/mesa/libGL.so.1.2.0
/usr/share/bug/libgl1-mesa-glx/control
/usr/share/bug/libgl1-mesa-glx/script
/usr/share/doc/libgl1-mesa-glx/changelog.Debian.gz
/usr/share/doc/libgl1-mesa-glx/copyright
/usr/share/lintian/overrides/libgl1-mesa-glx

Changelog

2016-04-14 - Timo Aaltonen <tjaalton@debian.org>
mesa (11.2.0-1ubuntu2) xenial; urgency=medium
* control, rules: Enable mesa-opencl-icd now that the archive reorg
allows to build-depend on packages from universe. (LP: #1319835)
2016-04-05 - Timo Aaltonen <tjaalton@debian.org>
mesa (11.2.0-1ubuntu1) xenial; urgency=medium
* Merge from debian. (LP: #1481832. #1548845)
2016-03-31 - Andreas Boll <andreas.boll.dev@gmail.com>
mesa (11.2.0-1) experimental; urgency=medium
[ Andreas Boll ]
* control: Fix vdpau-va-driver Breaks/Replaces for mesa-va-drivers
(Closes: #819655).
* control: Bump Standards-Version to 3.9.7 (no changes).
* watch: Update url to use https instead of ftp.
[ Timo Aaltonen ]
* New upstream release.
* rules: Disable tests for now, most of them weren't run before anyway
and they cause unnecessary ftbfs on some archs.
2016-03-30 - Timo Aaltonen <tjaalton@debian.org>
mesa (11.2.0~rc4-1) experimental; urgency=medium
* New upstream release candidate.
2016-03-24 - Timo Aaltonen <tjaalton@debian.org>
mesa (11.2.0~rc3-2) experimental; urgency=medium
* mesa-va-drivers: Build gallium VA driver, and add symlinks for
nouveau, r600 and radeonsi.
* control: Add vdpau-va-driver Breaks/Replaces for mesa-va-drivers.
2016-03-09 - Timo Aaltonen <tjaalton@debian.org>
mesa (11.2.0~rc3-1) experimental; urgency=medium
* New upstream release candidate.
* Drop upstreamed patches.
* libgl1-mesa-glx.symbols: Remove dropped symbols.
* rules,control: Drop -dbg packages, we have -dbgsym now.
* rules, *.install.in, not-installed: Drop dri/-build prefix, we build
everything in one pass nowadays.
* control: Bump libdrm-dev build-dep to 2.4.67 for freedreno.
* rules: Migrate to dh.
* control: Add dh-autoreconf to build-depends.
2016-03-21 - Steve Langasek <steve.langasek@ubuntu.com>
mesa (11.1.2-1ubuntu2) xenial; urgency=medium
* debian/patches/glibc2.23-pthreads-compat.patch: fix misuse of
pthread_barrier API.  Closes LP: #1559842.
2016-02-09 - Timo Aaltonen <tjaalton@debian.org>
mesa (11.1.2-1ubuntu1) xenial; urgency=medium
* Merge from Debian.
* control, rules: Use llvm-3.8 for OpenGL 4.1 support. (LP: #1535500)
2016-02-11 - Timo Aaltonen <tjaalton@debian.org>
mesa (11.1.2-1) unstable; urgency=medium
* New upstream release.
2016-01-15 - Andreas Boll <andreas.boll.dev@gmail.com>
mesa (11.1.1-2) unstable; urgency=medium
* Limit the symbols glXGetDriverConfig and glXGetScreenDriver to
arch=!hurd-any (Fixes FTBFS on hurd).

See Also

Package Description
libglade2-0_2.6.4-2_amd64.deb library to load .glade files at runtime
libglade2-dev_2.6.4-2_amd64.deb development files for libglade
libglade2.0-cil-dev_2.12.10-6_amd64.deb CLI binding for the Glade libraries 2.6
libglade2.0-cil_2.12.10-6_amd64.deb CLI binding for the Glade libraries 2.6
libglapi-mesa-lts-utopic_10_amd64.deb Transitional package for libglapi-mesa-lts-utopic
libglapi-mesa-lts-vivid_10_amd64.deb Transitional package for libglapi-mesa-lts-vivid
libglapi-mesa-lts-wily_10_amd64.deb Transitional package for libglapi-mesa-lts-wily
libglapi-mesa_11.2.0-1ubuntu2_amd64.deb free implementation of the GL API -- shared library
libgles1-mesa-dev-lts-utopic_10_amd64.deb Transitional package for libgles1-mesa-dev-lts-utopic
libgles1-mesa-dev-lts-vivid_10_amd64.deb Transitional package for libgles1-mesa-dev-lts-vivid
libgles1-mesa-dev-lts-wily_10_amd64.deb Transitional package for libgles1-mesa-dev-lts-wily
libgles1-mesa-dev_11.2.0-1ubuntu2_amd64.deb free implementation of the OpenGL|ES 1.x API -- development files
libgles1-mesa-lts-utopic_10_amd64.deb Transitional package for libgles1-mesa-lts-utopic
libgles1-mesa-lts-vivid_10_amd64.deb Transitional package for libgles1-mesa-lts-vivid
libgles1-mesa-lts-wily_10_amd64.deb Transitional package for libgles1-mesa-lts-wily
Advertisement
Advertisement